import 'package:http/http.dart' as http;
import 'package:info_tren/api/common.dart';
import 'package:info_tren/models/train_data.dart';

Future<TrainData> getTrain(String trainNumber) async {
  final response = await http.get(Uri.https(authority, 'v2/train/$trainNumber'));
  return trainDataFromJson(response.body);
}