import 'package:json_annotation/json_annotation.dart';

part 'stations_result.g.dart';

@JsonSerializable()
class StationsResult {
  final String name;
  final List<String>? stoppedAtBy;

  const StationsResult({required this.name, this.stoppedAtBy});

  factory StationsResult.fromJson(Map<String, dynamic> json) => _$StationsResultFromJson(json);
  Map<String, dynamic> toJson() => _$StationsResultToJson(this);
}